[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Compiling with jikes > 1.13

From: Stuart Ballard
Subject: Re: Compiling with jikes > 1.13
Date: Mon, 04 Feb 2002 17:40:35 -0500
User-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020121

Mark Wielaard wrote:

Have people with jikes problems actaully reported them to the jikes
developers? We can try to recompile Wonka with 1.15 to see what happens.
Stuart, what program were you using which forced you to downgrade to

The problems I encountered were in a program written by myself, which as yet I haven't had time to bundle up and release as Free Software, nor to chase up official permission to do so (although the people In Charge have unofficially told me it will be no problem).

Since I rely on this program for my day job, I just put jikes on hold as soon as I discovered that that definitely fixed the problems. I have planned on sending the jikes developers a bug report as soon as I could come up with a simplified testcase, but never found the time to do so.

My code does use numerous inner classes, so it's possible that the errors I saw were related to the bugs that Eric mentioned as being known. The problems were definitely errors in *running* code that actually compiled with no errors or warnings, which fits Eric's description, although I forget exactly what happened when I tried to run it (VerifyError or VM coredump).

Finding a reduced testcase or arranging to release my code so that the problem can be seen in publically-known code is still on my todo list, but unfortunately not as high a priority as I would like it to be. Too many todos, too little time todo them.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]